package com.lz.modules.performance.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* </p>*任务进度更新表
* @author quyixiao
* @since 2020-12-11
*/

@Data
@TableName("lz_task_process_record")
@ApiModel(value = "任务进度更新表")
public class TaskProcessRecord implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //当前进度
    @ApiModelProperty(value = "当前进度", name = "processRate")
    private BigDecimal processRate;
    //更新说明
    @ApiModelProperty(value = "更新说明", name = "remark")
    private String remark;
    //操作标签
    @ApiModelProperty(value = "操作标签", name = "label")
    private String label;
    //user_type为0时：1，修改名称，2修改进度  ，3名称和进度都修改 4，新增 ，5， 删除 。user_type为1时：0表示对所有评论，1表示对单个具体的task做评论
    @ApiModelProperty(value = "user_type为0时：1，修改名称，2修改进度  ，3名称和进度都修改 4，新增 ，5， 删除 。user_type为1时：0表示对所有评论，1表示对单个具体的task做评论", name = "type")
    private Integer type;
    //任务 result_task得id  
    @ApiModelProperty(value = "任务 result_task得id  ", name = "taskId")
    private Long taskId;
    //任务名称
    @ApiModelProperty(value = "任务名称", name = "name")
    private String name;
    //0表示记录，1 表示评论
    @ApiModelProperty(value = "0表示记录，1 表示评论", name = "useType")
    private Integer useType;
    //@人员id
    @ApiModelProperty(value = "@人员id", name = "atStaffIds")
    private String atStaffIds;
    //@人员名称
    @ApiModelProperty(value = "@人员名称", name = "atStaffNames")
    private String atStaffNames;
    //lz_result_record表id
    @ApiModelProperty(value = "lz_result_record表id", name = "detailId")
    private Long detailId;
    //lz_detail表id
    @ApiModelProperty(value = "lz_detail表id", name = "resultRecordId")
    private Long resultRecordId;
    //员工id
    @ApiModelProperty(value = "员工id", name = "staffId")
    private Long staffId;
    //员工名称
    @ApiModelProperty(value = "员工名称", name = "staffName")
    private String staffName;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 当前进度 
     * @return
     */
    public BigDecimal getProcessRate() {
        return processRate;
    }
    /**
     * 当前进度 
     * @param processRate
     */
    public void setProcessRate(BigDecimal processRate) {
        this.processRate = processRate;
    }

    /**
     * 更新说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 更新说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作标签 
     * @return
     */
    public String getLabel() {
        return label;
    }
    /**
     * 操作标签 
     * @param label
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * user_type为0时：1，修改名称，2修改进度  ，3名称和进度都修改 4，新增 ，5， 删除 。user_type为1时：0表示对所有评论，1表示对单个具体的task做评论 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * user_type为0时：1，修改名称，2修改进度  ，3名称和进度都修改 4，新增 ，5， 删除 。user_type为1时：0表示对所有评论，1表示对单个具体的task做评论 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 任务 result_task得id   
     * @return
     */
    public Long getTaskId() {
        return taskId;
    }
    /**
     * 任务 result_task得id   
     * @param taskId
     */
    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    /**
     * 任务名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 任务名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 0表示记录，1 表示评论 
     * @return
     */
    public Integer getUseType() {
        return useType;
    }
    /**
     * 0表示记录，1 表示评论 
     * @param useType
     */
    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    /**
     * @人员id 
     * @return
     */
    public String getAtStaffIds() {
        return atStaffIds;
    }
    /**
     * @人员id 
     * @param atStaffIds
     */
    public void setAtStaffIds(String atStaffIds) {
        this.atStaffIds = atStaffIds;
    }

    /**
     * @人员名称 
     * @return
     */
    public String getAtStaffNames() {
        return atStaffNames;
    }
    /**
     * @人员名称 
     * @param atStaffNames
     */
    public void setAtStaffNames(String atStaffNames) {
        this.atStaffNames = atStaffNames;
    }

    /**
     * lz_result_record表id 
     * @return
     */
    public Long getDetailId() {
        return detailId;
    }
    /**
     * lz_result_record表id 
     * @param detailId
     */
    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    /**
     * lz_detail表id 
     * @return
     */
    public Long getResultRecordId() {
        return resultRecordId;
    }
    /**
     * lz_detail表id 
     * @param resultRecordId
     */
    public void setResultRecordId(Long resultRecordId) {
        this.resultRecordId = resultRecordId;
    }

    /**
     * 员工id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 员工名称 
     * @return
     */
    public String getStaffName() {
        return staffName;
    }
    /**
     * 员工名称 
     * @param staffName
     */
    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    @Override
    public String toString() {
        return "TaskProcessRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",processRate=" + processRate +
                ",remark=" + remark +
                ",label=" + label +
                ",type=" + type +
                ",taskId=" + taskId +
                ",name=" + name +
                ",useType=" + useType +
                ",atStaffIds=" + atStaffIds +
                ",atStaffNames=" + atStaffNames +
                ",detailId=" + detailId +
                ",resultRecordId=" + resultRecordId +
                ",staffId=" + staffId +
                ",staffName=" + staffName +
                "}";
    }
}